Skip to main content
Monitoring & Collection/Grafana Dashboards
PUTGrafanaSince 1.0SynchronousAuth Required

UpdateDashboardLockConfig

Update the dashboard lock configuration parameters

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • lockTtlMinutesIntegerRequired

    Updated lock TTL in minutes

    Example: 30

  • allowForceUnlockBooleanRequired

    Whether to allow force unlock

    Example: true

  • requireIfMatchHeaderBooleanRequired

    Whether to require If-Match header on updates

    Example: true

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/api/v1/monitoring/dashboards/lock/config

/api/v1/monitoring/dashboards/lock/config

Operation ID

UpdateDashboardLockConfig

Permalink

Request Example

curl -X PUT '{host}/api/v1/monitoring/dashboards/lock/config' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"lockTtlMinutes":30,"allowForceUnlock":true,"requireIfMatchHeader":true}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history